Bug 140985 - rhgb makes daemon start/stop messages go to vt8
rhgb makes daemon start/stop messages go to vt8
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2004-11-27 09:34 EST by Carlos Rodrigues
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.16.4-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-31 15:15:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Carlos Rodrigues 2004-11-27 09:34:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When rhgb is set to start on boot, all daemon start/stop messages show
up on vt8.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. go to vt1
2. press ctrl-alt-del

Actual Results:  The "Shutting down <daemon> [ OK ]" messages do not
show. Switching to vt8 shows them.

Expected Results:  All the messages should appear on the current
active vt.

Additional info:

This is not that serious but it is annoying.

This also causes some confusion when rebooting/shutting down from
X/GDM. The user gets a black screen with nothing more that "Sending
all processes the TERM signal.." for a while, looking like the machine
has frozen. Then all the "[ OK ]" messages flash for a second and the
machine reboots/powers down.
Comment 1 Carlos Rodrigues 2004-11-27 09:41:57 EST
Forgot: rhgb-0.16.1-1.FC3
Comment 2 Jonathan Rawle 2005-10-12 06:03:56 EDT
Bug is still present in FC4. I'm not convinced this is rhgb-related as it 
still seems to occur in FC4 when booting without rhgb. 
Boot seems to leave vt8 as the console somehow. Logging in to vt1 at some 
stage (and maybe issuing telinit or shutdown from there) returns things to 
Comment 3 Jonathan Rawle 2005-10-12 17:00:54 EDT
Sorry, it is rhgb related!

I checked the source and did some experimenting. rhgb has changed to enable a
smooth transition from graphical boot to login screen. It waits until the
display manager has started before exiting.

A side-effect of this is that X deems vt8 to be the terminal from which is was
started, so this is where it returns on exit. Shutdown/runlevel change messages
then go to vt8. (I'm not sure why the screen is blank before pressing a key.

To return messages to vt1, I editied /etc/X11/prefdm, adding:

chvt 1

after the lines shutting down rhgb. However, this will probably make the text
login visible between graphical boot and login as was the case in FC1 and 2.

I'm not sure if this is a "bug". It would be nice if messages were visible on
shutdown instead of just a blank screen - can something be done to make them
show up without a key-press, even if they are one vt8? Of course, a graphical
shutdown is another alternative.
Comment 4 Matthew Miller 2006-07-10 16:47:47 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 John Thacker 2006-10-31 15:15:09 EST
Highly suspect that this was fixed in rhgb-0.16.4-3, as the changelog reads:
"kill rhgb before gdm starts to prevent weird vt switching
  behavior (bug 211848)"

Definitely seems to address Comment 3.  Bug 211848, however, is a protected bug
that I am not authorized to see.

Note You need to log in before you can comment on or make changes to this bug.